Bug 215223 - iwconfig essid for a bcm43xx device resets rate
iwconfig essid for a bcm43xx device resets rate
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: John W. Linville
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-12 11:21 EST by Ville Skyttä
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-29 14:32:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
ifcfg-wlan0 (280 bytes, text/plain)
2006-11-12 11:21 EST, Ville Skyttä
no flags Details

  None (edit)
Description Ville Skyttä 2006-11-12 11:21:26 EST
kernel-2.6.18-1.2798.fc6.x86_64
initscripts-8.45.5-1.x86_64
wireless-tools-28-1.fc6.x86_64

No idea if this is a bcm43xx, initscripts or iwconfig issue, but the 'iwconfig
$DEVICE essid "$ESSID"' line at end of
/etc/sysconfig/network-scripts/ifup-wireless always resets the rate of my
BCM4306 PCI card (wlan0, ESSID set to a specific value) to 11M, no matter what
RATE is set to in /etc/sysconfig/network-scripts/ifup-wlan0.

There are significant differences between 11M and 18M (approximately 1.9MB/s and
2.8MB/s downstream) on my system, and 48M produces even a bit better average
performance (2.9MB/s downstream), so I'd like the device to use one of the
better rates.

For now, I'm working around this by explicitly resetting the rate to the
configured value with this scriptlet in /sbin/ifup-local, and things work as
expected:

---

#!/bin/sh

if [ "$1" = "wlan0" ] ; then
    . /etc/sysconfig/network-scripts/"ifcfg-$1"
    if [ -n "$RATE" ] ; then
        iwconfig "$1" rate $RATE
    fi
fi

---

ifcfg-wlan0 attached.  NetworkManager is not in use.  WEP is.
Comment 1 Ville Skyttä 2006-11-12 11:21:26 EST
Created attachment 140994 [details]
ifcfg-wlan0
Comment 2 John W. Linville 2006-11-29 14:32:33 EST
This is the results of a hack introduced to compensate for our inability to 
handle backing-down to lower rates.  When the new wireless infrastructure is 
merged upstream, things will be better.  For now, we have to live with this 
hack.

Note You need to log in before you can comment on or make changes to this bug.